package com.inspect.metadata.station.service;

import com.inspect.metadata.station.domain.BasedataStation;

import java.util.List;
import java.util.Map;

public interface IBasedataStationService {
    BasedataStation selectBasedataStationByStationId(String stationId);

    List<BasedataStation> selectBasedataStationList(BasedataStation station);

    int insertBasedataStation(BasedataStation station);

    int updateBasedataStation(BasedataStation station);

    int deleteBasedataStationByStationIds(String[] stationIds);

    int deleteBasedataStationByStationId(String stationId);

    BasedataStation getStationTypeByPatrolPointId(String pointId);

    int checkStationNameIsExit(String name, String name2, String name3);

    List<Map> getStationNameList();
}
